
//+------------------------------------------------------------------+
//|                                      EW Labeler-Motive Waves.mq4 |
//|                                                                  |

#property copyright " 2013 Elliot label "
#property link      "luke fx "

//User Parameters
color textColor = Red;
string font = "EWA DASH FONT";
int fontSize = 22;
int numCycles = 100;

string wavePrefix = "Supercycle!";
string waveName, wavePostfix, wavePostfixa;
int    cycle, breakTest;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start() {

   Comment( "Elliott Wave Community" );
   
   cycle = 0;
   breakTest = 0;
   for ( int j = 0; j < numCycles; j++ ) {//To control cycles
      for ( int i = 0; i < 8; i++ ) {//To control waves within cycle
         switch ( i ) {
            case 0: wavePostfix = "J.";
                    break; 
            case 1: wavePostfix = "JJ.";
                    break;
            case 2: wavePostfix = "JJJ.";
                    break;
            case 3: wavePostfix = "JU.";
                    break;
            case 4: wavePostfix = "U.";
                    break;        
            case 5: wavePostfix = "f .";
                    break; 
            case 6: wavePostfix = "g .";
                    break;
            case 7: wavePostfix = "h.";
                    break;
        
      
        }    
        waveName = StringConcatenate( wavePrefix, i, cycle );
        if ( ObjectFind( waveName ) < 0 ) {
          ObjectCreate( waveName, OBJ_TEXT, 0, WindowTimeOnDropped(), WindowPriceOnDropped() );
          ObjectSetText( waveName, wavePostfix , fontSize, font, textColor );
          
          breakTest += 1;
          break;
       } 
    } 
    if ( breakTest > 0 )
      break;
    else 
      cycle += 1;  
  }
  return(0);
}
//+------------------------------------------------------------------+