//+------------------------------------------------------------------+
//|                                      EW Labeler-Motive Waves.mq4 |
//|                                                                  |
//|   This tool allows you to quickly drag n drop to count waves     |
//|   More free tools @ tradertools-fx.com                           |
//|                                    Paul Nordin                   |
//|                                    http://www.tradertools-fx.com |
//+------------------------------------------------------------------+
#property copyright " 2011 TRADERTOOLS-FX.COM"
#property link      "http://www.tradertools-fx.com"

//User Parameters
color textColor = Blue;
string font = "EWA DASH FONT";
int fontSize = 22;
int fontSize3 = 28;
int numCycles = 100;

string wavePrefix = "GrandSuperCycle1!";
string waveName,wavePostfix3, wavePostfix;
int    cycle, breakTest;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start() {

   Comment( "TRADERTOOLS-FX.COM" );
   
   cycle = 0;
   breakTest = 0;
   for ( int j = 0; j < numCycles; j++ ) {//To control cycles
      for ( int i = 0; i < 8; i++ ) {//To control waves within cycle
         switch ( i ) {
            case 0: wavePostfix = "I";
                    break; 
            case 1: wavePostfix = "II";
                    break;
            case 2: wavePostfix = "III";
                    break;
            case 3: wavePostfix = "IV";
                    break;
            case 4: wavePostfix = "V";
                    break;        
           
            case 5: wavePostfix = "a";
                    break; 
            case 6: wavePostfix = "b";
                    break;
            case 7: wavePostfix = "c";
                    break;
      
        }    
        waveName = StringConcatenate( wavePrefix, i, cycle );
        if ( ObjectFind( waveName ) < 0 ) {
          ObjectCreate( waveName, OBJ_TEXT, 0, WindowTimeOnDropped(), WindowPriceOnDropped() );
          ObjectSetText( waveName, wavePostfix, fontSize, font, textColor );
           
          breakTest += 1;
          break;
       } 
    } 
    if ( breakTest > 0 )
      break;
    else 
      cycle += 1;  
  }
  return(0);
}
//+------------------------------------------------------------------+